Rapid7 Vulnerability & Exploit Database

RHSA-2004:156: mailman security update

Back to Search

RHSA-2004:156: mailman security update

Severity
5
CVSS
(AV:N/AC:L/Au:N/C:N/I:N/A:P)
Published
06/01/2004
Created
07/25/2018
Added
10/28/2005
Modified
07/12/2017

Description

An updated mailman package that closes a DoS vulnerability in mailman introduced by RHSA-2004:019 is now available.

Mailman is a mailing list manager. On February 19 2004, Red Hat issued security erratum RHSA-2004:019 to correct a DoS (Denial of Service) vulnerability where an attacker could send a carefully-crafted message and cause mailman to crash. Matthew Saltzman discovered a flaw in our original patch intended to correct this vulnerability. This flaw can cause mailman to crash if it receives an email destined for a list with an empty subject field. The Common Vulnerabilities and Exposures project (cve.mitre.org) has assigned the name CAN-2004-0182 to this issue. Users of Mailman are advised to upgrade to these updated packages, which include an updated patch and are not vulnerable to this issue.

Solution(s)

  • redhat-upgrade-mailman

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;